# frozen_string_literal: true

require('thor')
require('cex/apide')
require('cex/apius')
require('cex/apifr')
require('cex/apimt')
require('cex/bigquery1')
require('cex/bigquery2')
require('cex/bitcoinde')
require('cex/kraken')
require('cex/paymium')
require('cex/therock')
require('cex/version')

module Cex
  class Error < StandardError; end

  # classe para carregar/mostrar dados transacoes kraken no bigquery
  class CLI < Thor
    desc 'work', 'carrega transacoes novas no bigquery'
    option :h, type: :hash, default: {}, desc: 'configuracao ajuste reposicionamento temporal'
    # carrega transacoes novas no bigquery
    def work
      Cex::Bigquery.new(options).processa_tudo
    end

    desc 'show', 'mostra resumo saldos & transacoes'
    option :v, type: :boolean, default: false, desc: 'mostra transacoes'
    option :t, type: :boolean, default: false, desc: 'mostra transacoes todas ou somente novas'
    # mostra resumo saldos & transacoes
    def show
      Cex::Bigquery.new(options).mostra_tudo
    end

    default_task :show
  end
end
